Bug 126117 - gnome: cannot open recently used document
gnome: cannot open recently used document
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-mime-data (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-16 05:33 EDT by Piero Serini
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 09:03:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Piero Serini 2004-06-16 05:33:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20030918 Galeon/1.3.10

Description of problem:
Hello.

Fedora Core 2, no special setting.
Gnome 2.6
Openoffice 1.1.1 (but I don't think it's important)

The problem is that if I go to Red Hat -> Recent Documents ->
foobar.sxw it opens flawlessly.

Same scenario, Red Hat -> Recent Documents -> barfoo.xls I get:

Cannot open recently used document
Details: Couldn't find a suitable application

It affects .xls files only.

In the extensions association the .xls files are correctly listed as
to be opened by Openoffice, and if I open a .xls file in any other
way (double click on a .xls file on the desktop f.e.) it works
perfectly.

Please let me know should you need further infos.

Please also note that this problem has been reported by another
person on Sun formus, also. See:
http://supportforum.sun.com/sjds/index.php?t=msg&goto=805&rid=0#msg_805

Cheers,

Piero

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create or locate an old .xls file
2. Open it in OOffice, then exit
3. It appears in recently used files list
4. Try and open the file from the recently used file list
5. Boom: cannot open ....
    

Actual Results:  .xls files cannot be opened from recently used files
list even if
their association to OOffice is correct

Expected Results:  .xls files should be opened from recently used
files list when
their association to OOffice is correct.

Additional info:

For joe users trying to switch from a proprietary system where this
works, it's an annoyance.
Comment 1 Mark McLoughlin 2004-07-27 05:11:02 EDT
(Guessing the problem is in gnome-mime-data)
Comment 2 Piero Serini 2004-11-30 07:56:37 EST
This still occurs in FC3.
Comment 3 Matthew Miller 2006-07-10 18:01:49 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 John Thacker 2006-10-30 09:03:47 EST
Tested it myself and it works for me on more recent systems (FC6 and RHEL4). 
Considering that there has been no response to the previous request for
information, closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.